'#############################################################################
'#
'#             Copyright (C) FarSite Communications Ltd. 2020
'#                             All Rights Reserved
'#
'# License is granted to copy and use this software and to make and
'# use derivative works.
'#
'# FarSite Communications Limited makes no representations concerning 
'# either the merchantability of this software or the suitability of 
'# this software for any particular purpose. It is provided "as is"
'# without express or implied warranty of any kind.
'#
'# Program     : fsbert
'#                                                                 
'# File        : fsbert.vbs
'#                                                                 
'# Version     : V1.0.0
'#                                                                   
'# Description : Sample vbs program using the FarSync BERT API
'#
'# Modifications
'#
'# Date      Init   Details
'#
'# 12Oct20   WEB    Initial version
'#
'#############################################################################

'#RE: the need to know more about the object ‘IFsBert’ in the API

'#In Section 8.2 of the FarSync BERT User Guide V4.0.7 it discusses the selection 
'of the FSBERTIFLib.IFsBERT interface (albeit in the context of LabVIEW in that 
'case – but since it is an ActiveX/COM-based interface it can be used from any 
'compatible language /framework – e.g. see the example of vbs use below). The 
'interface itself can be obtained from the type library from fsbertif.dll which 
'is the DLL that supports the interface.

'All the methods and properties supported by the interface are detailed in 
'Section 8.4./8.5 including their input/output parameters and associated types.

'As a further example, you can even just use the IFsBert interface from windows 
'scripts using those documented Methods and Properties (i.e. assuming 
'fsbert_install.bat has been previously run successfully)
'#e.g. example.vbs (just double-click example.vbs from explorer to run it)

' Create a FarSync BERT object
Set obj = CreateObject("FsBert.FsBert2")
' We'll make its console visible
' debugMode is a bit mask with:
' 0x1 ==> debug to DebugView
' 0x2 ==> show console
obj.debugMode = 2
' select the instance number of our FarSync device/card
obj.Device = 0
' start the BERT
obj.Start
' run the test until the user Press OK on the following dialog
msgbox "Press OK to stop the FarSync BERT", 0, "FarSync BERT"
obj.Stop
' quit
'msgbox "The FarSync BERT has been stopped", 0, "FarSync BERT"
' display the number of bits received
msgbox "Rx BitCount=" & obj.bitCount, 0, "FarSync BERT"
